// Copyright 1998-2000, Cobalt Networks.  All rights reserved.
// $Id: diskQuota.js,v 1.5 2000/10/10 14:53:53 pbose Exp $

function isDiskQuotaValid( diskQuota ) { 
    if( diskQuota=='0' ) return false; 
    else { 
        for( i=0; i<diskQuota.length; i++ ) { 
            var ch=diskQuota.charAt( i ); 
            if( ch<'0' || ch>'9' ) return false; 
        } 
    } 
    return true; 
}

function checkDiskQuota( element, errMsg ) { 
    if( element.value.length>0 && !isDiskQuotaValid( element.value ) ) {
	top.showInfo( errMsg, 0, 'error' );
        element.focus();
        element.select();
        return false;
    }
    return true;
}

function isIntegerValid( integer ) { 
    for( i=0; i<integer.length; i++ ) { 
        var ch=integer.charAt( i ); 
        if( ch<'0' || ch>'9' ) return false; 
    } 

    return true; 
}

function checkInteger( element, errMsg ) { 
    if( element.value.length>0 && !isIntegerValid( element.value ) ) {
	top.showInfo( errMsg, 0, 'error' );
        element.focus();
        element.select();
        return false;
    }
    return true;
}
