#!/usr/bin/perl

### START HARDCODED PATHS
my $AdminCGIs_dir = '/usr/admserv/cgi-bin/.cobalt';
my $AdminPages_dir = '/usr/admserv/html/.cobalt';

my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS
use Cobalt::Locale;
use Cobalt::Admserv;

admserv_set_access( "$AdminPages_dir/register/", 'admin' );
admserv_set_access( "$AdminCGIs_dir/register/", 'admin' );
admserv_set_access( "$AdminCGIs_dir/turbo_ui/", 'valid' );
admserv_set_access( "$AdminCGIs_dir/message/", 'valid' );

print "content-type: text/html\nCache-Control: no-cache\n\n" . 
        "<HTML><HEAD><META HTTP-EQUIV=\"expires\" CONTENT=\"0\"></HEAD>\n" . 
        "<BODY><SCRIPT LANGUAGE=\"javascript\">\n" .
        "top.location='/.cobalt/about'\n" .
        "</SCRIPT></BODY></HTML>";
